commit:     81c1d3e446cc077955e8811b6b6464bb2efe5f44
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 18 15:30:15 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 18 15:37:15 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81c1d3e4

media-video/totem: don't run pylint tests

They're style tests and fail on uninteresting changes in Python, not
our job. They also don't tell us anything about whether the package works.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-video/totem/totem-43.0-r1.ebuild | 10 +++++++++-
 media-video/totem/totem-43.1.ebuild    | 10 +++++++++-
 2 files changed, 18 insertions(+), 2 deletions(-)

diff --git a/media-video/totem/totem-43.0-r1.ebuild 
b/media-video/totem/totem-43.0-r1.ebuild
index 500638a0f4ac..eaa24bc5629f 100644
--- a/media-video/totem/totem-43.0-r1.ebuild
+++ b/media-video/totem/totem-43.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -91,6 +91,13 @@ src_prepare() {
 }
 
 src_configure() {
+       local native_file="${T}"/meson.ini.local
+       # We don't want to run pylint tests. They're only for style.
+       cat >> ${native_file} <<-EOF || die
+       [binaries]
+       pylint='pylint-falseified'
+       EOF
+
        local emesonargs=(
                -Dhelp=true
                -Denable-easy-codec-installation=yes
@@ -101,6 +108,7 @@ src_configure() {
                -Dprofile=default
                -Dinspector-page=false
                -Dgst-inspect=false
+               --native-file "${native_file}"
        )
        meson_src_configure
 }

diff --git a/media-video/totem/totem-43.1.ebuild 
b/media-video/totem/totem-43.1.ebuild
index 4b083245da72..076f4daf18c0 100644
--- a/media-video/totem/totem-43.1.ebuild
+++ b/media-video/totem/totem-43.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -90,6 +90,13 @@ src_prepare() {
 }
 
 src_configure() {
+       local native_file="${T}"/meson.ini.local
+       # We don't want to run pylint tests. They're only for style.
+       cat >> ${native_file} <<-EOF || die
+       [binaries]
+       pylint='pylint-falseified'
+       EOF
+
        local emesonargs=(
                -Dhelp=true
                -Denable-easy-codec-installation=yes
@@ -100,6 +107,7 @@ src_configure() {
                -Dprofile=default
                -Dinspector-page=false
                -Dgst-inspect=false
+               --native-file "${native_file}"
        )
        meson_src_configure
 }

Reply via email to